DELETE
https://api.breeze.blue/v1/history/{history_item_id}Delete a history item
Soft-delete a history item.
Authentication
API key: Send your Breeze Developer API key with the xi-api-key header.
Headers
| Field | Type | Description |
|---|---|---|
xi-api-keyrequired | string | Your Breeze Developer API key. See authentication. |
Path parameters
| Field | Type | Description |
|---|---|---|
history_item_idrequired | string | History item identifier returned by generation responses or GET /v1/history. |
Example request
python
import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
client.history.delete("hist_01haudio")
typescript
import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
await client.history.delete("hist_01haudio");
curl
curl -X DELETE "https://api.breeze.blue/v1/history/hist_01haudio" \
-H "xi-api-key: $BREEZE_API_KEY"
import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
client.history.delete("hist_01haudio")Response
Delete status.
Content types: application/json
Response headers:
x-breeze-api-key-id: Public API key identifier used to authenticate the request, when an API key was used.
{
"status": "active"
}Errors
RESOURCE_NOT_FOUND— The history_item_id does not exist or is not accessible.
See the full list on errors.